Name: astromenace
Version:  1.2
Release:  3%{?dist}
Summary: Hardcore 3D space shooter with spaceship upgrade possibilities  

Group: Amusements/Games 
License: GPLv3
URL: http://www.viewizard.com/
Source0: http://www.viewizard.com/download/AstroMenaceSourceCode_070930.zip
Source1: astromenace.desktop
Source2: astromenace.png
Patch0: astromenace-langvfs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
BuildRequires: cmake, SDL-devel, openal-devel, freealut-devel, libogg-devel
BuildRequires: libvorbis-devel, libjpeg-devel, desktop-file-utils
Requires: astromenace-data = %{version}

%description
Space is a vast area, an unbounded territory where it seems there is a 
room for everybody, but reversal of fortune put things differently. The 
hordes of hostile creatures crawled out from the dark corners of the
universe, craving to conquer your homeland. Their force is compelling,
their legions are interminable. However, humans didn't give up without
a final showdown and put their best pilot to fight back. These malicious
invaders chose the wrong galaxy to conquer and you are to prove it! 
Go ahead and make alien aggressors regret their insolence.

%prep
%setup -qn AstroMenaceSourceCode

sed -i 's/\r//' License.txt
sed -i 's/\r//' gpl-3.0.txt
chmod -x License.txt
chmod -x ReadMe.txt
chmod -x gpl-3.0.txt

%patch0 -p0

%build
cmake .
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{_bindir}
install -m 755 AstroMenace %{buildroot}%{_bindir}/astromenace

desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
  
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/astromenace
%doc ReadMe.txt License.txt gpl-3.0.txt
%{_datadir}/applications/fedora-astromenace.desktop
%{_datadir}/icons/hicolor/64x64/apps/astromenace.png

%changelog
* Mon Oct 08 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-3
- Added support for opengl-games-utils(F7+ only), .desktop cleanup.

* Fri Oct 05 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-2
- Used main upstream sources, not sf.net fork.
- Patched for gamelang paths.

* Tue Oct 02 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-1
- create.
